package com.zehong.system.mapper;

import java.util.List;

import com.zehong.system.domain.TNfcRecord;
import com.zehong.system.domain.TNfcSetting;

/**
 * settingMapper接口
 *
 * @author zehong
 * @date 2022-10-17
 */
public interface TNfcSettingMapper
{
    /**
     * 查询setting
     *
     * @param nfcId settingID
     * @return setting
     */
    public TNfcSetting selectTNfcSettingById(Long nfcId);

    /**
     * 根据nfcNum查询详情
     * @param nfcNum
     */
    public TNfcSetting getInfoByNfcNum(String nfcNum);

    /**
     * 查询setting列表
     *
     * @param tNfcSetting setting
     * @return setting集合
     */
    public List<TNfcSetting> selectTNfcSettingList(TNfcSetting tNfcSetting);

    /**
     * 新增setting
     *
     * @param tNfcSetting setting
     * @return 结果
     */
    public int insertTNfcSetting(TNfcSetting tNfcSetting);

    /**
     * 修改setting
     *
     * @param tNfcSetting setting
     * @return 结果
     */
    public int updateTNfcSetting(TNfcSetting tNfcSetting);

    /**
     * 删除setting
     *
     * @param nfcId settingID
     * @return 结果
     */
    public int deleteTNfcSettingById(Long nfcId);

    /**
     * 批量删除setting
     *
     * @param nfcIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTNfcSettingByIds(Long[] nfcIds);

    /**
     * 巡检打卡查询列表
     * @param tNfcSetting
     * @return
     */
    List<TNfcRecord> punchClockList(TNfcSetting tNfcSetting);
}
